local LHR = select(2, ...)

LHR.colors = {
    ['green'] = CreateColor(0.67, 0.83, 0.45),
    ['darkGreen'] = CreateColor(0.1, 0.4, 0.1),
    ['blue'] = CreateColor(0.3, 0.3, 0.7),
    ['red'] = CreateColor(0.7, 0.3, 0.3),
    ['gray'] = CreateColor(0.3, 0.3, 0.3),
    ['white'] = CreateColor(1,1,1),
    ['black'] = CreateColor(0,0,0),
}

LHR.classColors = {
    ['paladin'] = CreateColor(0.96, 0.55, 0.73),
    ['priest'] = CreateColor(1.00, 1.00, 1.00),
    ['druid'] = CreateColor(1.00, 0.49, 0.04	),
}

LHR.healerClasses = {
    ['paladin'] = "PALADIN",
    ['priest'] = "PRIEST",
    ['druid'] = "DRUID",
}

LHR.constants = {
    ['healerFrameHeight'] = 22,
    ['healerFrameSpacing'] = 4,
    ['titleBarHeight'] = 18,
    ['mainFrameWidth'] = 130,
    ['rotationFramesBaseHeight'] = 20,

    ['commsPrefix'] = 'lhr',
    ['commsChannel'] = 'RAID',

    ['commsTypes'] = {
        ['healingDone'] = 'healing-done',
        ['syncOrder'] = 'sync-order',
        ['syncRequest'] = 'sync-request',
        ['backupRequest'] = 'backup-request',
    },

    ['printPrefix'] = 'LHR - ',
    ['minimumCooldownElapsedForEligibility'] = 55,

    ['sounds'] = {
        ['nextToHeal'] = 'Interface\\AddOns\\LHR\\sounds\\ding.ogg',
        ['alarms'] = {
            ['alarm1'] = 'Interface\\AddOns\\LHR\\sounds\\alarm.ogg',
            ['alarm2'] = 'Interface\\AddOns\\LHR\\sounds\\alarm2.ogg',
            ['alarm3'] = 'Interface\\AddOns\\LHR\\sounds\\alarm3.ogg',
            ['alarm4'] = 'Interface\\AddOns\\LHR\\sounds\\alarm4.ogg',
            ['flagtaken'] = 'Sound\\Spells\\PVPFlagTaken.ogg',
        }
    },

    ['healNowSounds'] = {
        ['alarm1'] = 'BZZZ',
        ['alarm2'] = 'beeplip',
        ['alarm3'] = 'dong',
        ['alarm4'] = 'bipbip',
        ['flagtaken'] = 'Flagge geholt (DBM)',
    },

}
